Get workbook export status
Returns the status of the specified workbook export.
Request
POST
https://api.datalens.tech/rpc/getWorkbookExportStatus
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"exportId": "example"
}
|
Name |
Description |
|
exportId |
Type: string ID of the workbook export whose status to retrieve. Example: |
Responses
200 OK
Response
Body
application/json
{
"exportId": "example",
"status": "pending",
"progress": 0.5,
"notifications": [
{
"entryId": "example",
"scope": "dash",
"code": "example",
"message": "example",
"level": "info",
"details": null
}
]
}
|
Name |
Description |
|
exportId |
Type: string ID of the workbook export. Example: |
|
progress |
Type: number Workbook export progress percentage. |
|
status |
Type: WorkbookTransferProcessStatus Status of the workbook transfer process. Enum: |
|
notifications |
Type: array | null Notifications generated during the workbook export. Example
|
WorkbookTransferProcessStatus
Status of the workbook transfer process.
Type: string
Enum: pending, success, error
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
WorkbookTransferNotificationLevel
Severity level of the workbook transfer notification.
Type: string
Enum: info, warning, critical
WorkbookTransferNotification
|
Name |
Description |
|
code |
Type: string Notification code. Example: |
|
level |
Type: WorkbookTransferNotificationLevel Severity level of the workbook transfer notification. Enum: |
|
details |
Type: unknown Additional notification details. Example: |
|
entryId |
Type: string ID of the entry associated with the notification. Example: |
|
message |
Type: string Notification message. Example: |
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
Example
{
"entryId": "example",
"scope": "dash",
"code": "example",
"message": "example",
"level": "info",
"details": null
}